<?php

// Prevent Direct Access
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

new \Kirki\Section( 'header_section', array(
	'title'          => esc_html__('Header', 'maxo-fa'),
	'priority'       => 20,
) );

// Logo light
new \Kirki\Field\Image( array(
	'settings'    => 'logo_light',
	'label'       => esc_html__('Light Logo', 'maxo-fa'),
	'section'     => 'header_section',
	'choices'     => array(
		'save_as' => 'id',
	),
) );

// Logo dark
new \Kirki\Field\Image( array(
	'settings'    => 'logo_dark',
	'label'       => esc_html__('Dark Logo', 'maxo-fa'),
	'section'     => 'header_section',
	'choices'     => array(
		'save_as' => 'id',
	),
) );

// Home menu title
new \Kirki\Field\Text( array(
	'settings' => 'home_menu_title',
	'label'    => esc_html__('Home Menu Item Title', 'maxo-fa'),
	'section'  => 'header_section',
	'default'  => esc_html__('Home', 'maxo-fa'),
) );

// Features menu title
new \Kirki\Field\Text( array(
	'settings' => 'features_menu_title',
	'label'    => esc_html__('Features Menu Item Title and ID', 'maxo-fa'),
	'section'  => 'header_section',
	'default'  => esc_html__('Features', 'maxo-fa'),
) );
new \Kirki\Field\Text( array(
	'settings' => 'features_menu_id',
	'section'  => 'header_section',
	'default'  => 'features',
) );

// About menu title
new \Kirki\Field\Text( array(
	'settings' => 'about_menu_title',
	'label'    => esc_html__('About Us Menu Item Title and ID', 'maxo-fa'),
	'section'  => 'header_section',
	'default'  => esc_html__('About Us', 'maxo-fa'),
) );
new \Kirki\Field\Text( array(
	'settings' => 'about_menu_id',
	'section'  => 'header_section',
	'default'  => 'about',
) );

// Portfolio menu title
new \Kirki\Field\Text( array(
	'settings' => 'portfolio_menu_title',
	'label'    => esc_html__('Portfolios Menu Item Title and ID', 'maxo-fa'),
	'section'  => 'header_section',
	'default'  => esc_html__('Portfolios', 'maxo-fa'),
) );
new \Kirki\Field\Text( array(
	'settings' => 'portfolio_menu_id',
	'section'  => 'header_section',
	'default'  => 'portfolio',
) );

// Testimonials menu title
new \Kirki\Field\Text( array(
	'settings' => 'testimonials_menu_title',
	'label'    => esc_html__('Testimonials Menu Item Title and ID', 'maxo-fa'),
	'section'  => 'header_section',
	'default'  => esc_html__('Testimonials', 'maxo-fa'),
) );
new \Kirki\Field\Text( array(
	'settings' => 'testimonials_menu_id',
	'section'  => 'header_section',
	'default'  => 'testimonials',
) );

// Prices menu title
new \Kirki\Field\Text( array(
	'settings' => 'prices_menu_title',
	'label'    => esc_html__('Prices Menu Item Title and ID', 'maxo-fa'),
	'section'  => 'header_section',
	'default'  => esc_html__('Prices', 'maxo-fa'),
) );
new \Kirki\Field\Text( array(
	'settings' => 'prices_menu_id',
	'section'  => 'header_section',
	'default'  => 'prices',
) );

// Services menu title
new \Kirki\Field\Text( array(
	'settings' => 'services_menu_title',
	'label'    => esc_html__('Services Menu Item Title and ID', 'maxo-fa'),
	'section'  => 'header_section',
	'default'  => esc_html__('Services', 'maxo-fa'),
) );
new \Kirki\Field\Text( array(
	'settings' => 'services_menu_id',
	'section'  => 'header_section',
	'default'  => 'services',
) );

// Team menu title
new \Kirki\Field\Text( array(
	'settings' => 'team_menu_title',
	'label'    => esc_html__('Team Menu Item Title and ID', 'maxo-fa'),
	'section'  => 'header_section',
	'default'  => esc_html__('Team', 'maxo-fa'),
) );
new \Kirki\Field\Text( array(
	'settings' => 'team_menu_id',
	'section'  => 'header_section',
	'default'  => 'team',
) );

// Blog menu title
new \Kirki\Field\Text( array(
	'settings' => 'blog_menu_title',
	'label'    => esc_html__('Blog Menu Item Title and ID', 'maxo-fa'),
	'section'  => 'header_section',
	'default'  => esc_html__('Blog', 'maxo-fa'),
) );
new \Kirki\Field\Text( array(
	'settings' => 'blog_menu_id',
	'section'  => 'header_section',
	'default'  => 'blog',
) );

// Clients menu title
new \Kirki\Field\Text( array(
	'settings' => 'clients_menu_title',
	'label'    => esc_html__('Clients Menu Item Title and ID', 'maxo-fa'),
	'section'  => 'header_section',
	'default'  => esc_html__('Clients', 'maxo-fa'),
) );
new \Kirki\Field\Text( array(
	'settings' => 'clients_menu_id',
	'section'  => 'header_section',
	'default'  => 'clients',
) );

// Contact menu title
new \Kirki\Field\Text( array(
	'settings' => 'contact_menu_title',
	'label'    => esc_html__('Contact Menu Item Title and ID', 'maxo-fa'),
	'section'  => 'header_section',
	'default'  => esc_html__('Contact', 'maxo-fa'),
) );
new \Kirki\Field\Text( array(
	'settings' => 'contact_menu_id',
	'section'  => 'header_section',
	'default'  => 'contact',
) );

// Display Footer Socials
new \Kirki\Field\Checkbox( array(
	'settings' => 'footer_socials_on_menu',
	'label'    => esc_html__('Display footer social networks on mobile menu', 'maxo-fa'),
	'section'  => 'header_section',
	'default'  => true,
) );
